Package twisted :: Package internet :: Module interfaces :: Class ITCPTransport

[show private | hide private]
[frames | no frames]

## Class ITCPTransport

    Interface --+
                |
       ITransport --+
                    |
                   ITCPTransport

Known Subclasses:
  `ISSLTransport`

A TCP based transport.

Method Summary
| ``getHost`(self)` Returns tuple ('INET', host, port).
| ``getPeer`(self)` Returns tuple ('INET', host, port).
| ``getTcpNoDelay`(self)` Return if TCP_NODELAY is enabled.
| ``loseConnection`(self)` Close my connection, after writing all pending data. (inherited from `ITransport`)
| ``setTcpNoDelay`(self, enabled)` Enable/disable TCP_NODELAY.
| ``write`(self, data)` Write some data to the physical connection, in sequence. (inherited from `ITransport`)
| ``writeSequence`(self, data)` Write a list of strings to the physical connection. (inherited from `ITransport`)

Method Details

### getHost(self)

Returns tuple ('INET', host, port).

### getPeer(self)

Returns tuple ('INET', host, port).

### getTcpNoDelay(self)

Return if TCP_NODELAY is enabled.

### setTcpNoDelay(self, enabled)

Enable/disable TCP_NODELAY.

Enabling TCP_NODELAY turns off Nagle's algorithm.

Generated by Epydoc 1.1 on Sat Feb 15 21:19:05 2003 | http://epydoc.sf.net